jackrabbit-oak-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Francesco Mari (JIRA)" <j...@apache.org>
Subject [jira] [Resolved] (OAK-3453) Adapt the default configuration of SecurityProviderRegistration for older versions of Oak
Date Mon, 28 Sep 2015 09:56:04 GMT

     [ https://issues.apache.org/jira/browse/OAK-3453?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Francesco Mari resolved OAK-3453.
---------------------------------
       Resolution: Fixed
    Fix Version/s: 1.0.22

> Adapt the default configuration of SecurityProviderRegistration for older versions of
Oak
> -----------------------------------------------------------------------------------------
>
>                 Key: OAK-3453
>                 URL: https://issues.apache.org/jira/browse/OAK-3453
>             Project: Jackrabbit Oak
>          Issue Type: Bug
>          Components: security
>    Affects Versions: 1.0.21
>            Reporter: Francesco Mari
>            Assignee: Francesco Mari
>             Fix For: 1.0.22
>
>
> The default OSGi configuration of {{SecurityProviderRegistration}} lists some PIDs that
are not available across every version of Oak. In particular, {{o.a.j.o.security.user.UserAuthenticationFactoryImpl}}
is not available in Oak 1.0.x. The default configuration should be adapted to the default
security component currently exposed by the given version of Oak.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message